scrub-obsolete Package - libdist-zilla-util-test-kentnl-perl

Ready changes

Merge these changes:

Diff

diff --git a/debian/changelog b/debian/changelog
index b9e437d..ba7693f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,11 @@ libdist-zilla-util-test-kentnl-perl (1.005014-2) UNRELEASED; urgency=medium
   * Set debhelper-compat version in Build-Depends.
   * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
     Repository-Browse.
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends-Indep: Drop versioned constraint on
+      libcpan-meta-requirements-perl, libpath-tiny-perl and perl.
+    + libdist-zilla-util-test-kentnl-perl: Drop versioned constraint on
+      libpath-tiny-perl in Depends.
 
  -- Damyan Ivanov <dmn@debian.org>  Sun, 03 Dec 2017 22:44:20 +0000
 
diff --git a/debian/control b/debian/control
index 26435fc..d109d09 100644
--- a/debian/control
+++ b/debian/control
@@ -9,12 +9,12 @@ Build-Depends-Indep: libdata-dpath-perl,
                      libmodule-runtime-perl,
                      libmoo-perl,
                      libmoose-perl,
-                     libpath-tiny-perl (>= 0.050),
+                     libpath-tiny-perl,
                      librecommended-perl,
                      libsub-exporter-perl,
                      libtest-fatal-perl,
                      libtry-tiny-perl,
-                     perl (>= 5.15.9) | libcpan-meta-requirements-perl (>= 2.121)
+                     perl | libcpan-meta-requirements-perl
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdist-zilla-util-test-kentnl-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdist-zilla-util-test-kentnl-perl.git
@@ -27,7 +27,7 @@ Depends: libdata-dpath-perl,
          libdist-zilla-perl,
          libmodule-runtime-perl,
          libmoo-perl,
-         libpath-tiny-perl (>= 0.050),
+         libpath-tiny-perl,
          librecommended-perl,
          libsub-exporter-perl,
          libtest-fatal-perl,

Run locally

Try this locally (using the lintian-brush package):

debcheckout libdist-zilla-util-test-kentnl-perl
cd libdist-zilla-util-test-kentnl-perl
deb-scrub-obsolete --update-changelog

More details

Full run details